Subject: bug#16603: 24.3.50; Segfault when viewing a backtrace

From: Dmitry Antipov <[email-masked]>
Date: Fri, 07 Feb 2014 09:48:07 +0400

On 02/07/2014 07:50 AM, Lars Ingebrigtsen wrote:

> Oops.  No, it hasn't.  Or... uhm...  I got a backtrace once (so that's
> fine), but then Emacs segfaulted.

Doesn't crash for me. At least I can walk through *Backtrace* buffer
and visit functions reported in the backtrace.

> #0  mem_insert (start=start@entry=0x2089000, end=end@entry=0x20893e0,
>      type=type@entry=MEM_TYPE_CONS) at alloc.c:3850

This probably indicates a heap corruption. Could you please try
to reproduce this crash with temacs under valgrind? I tried two
times and there was nothing suspicious, BTW.

Dmitry